## celery 4.4.2

=== debian/changelog ===
celery (4.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream to fix build with the new sphinx.  Closes: #958986
  * Bump Build-Depends on python3-sphinx(-celery) to >= 2.0.0.
  * d/control:
    + Set Rules-Requires-Root:no.
    + Bump debhelper compat level to 13.
  * d/rules:
    + Move another file from override_dh_clean to d/clean.
    + Drop override_dh_install and rely on dh_fixperms to fix perms.
    + Simplify the code using the new execute_after* overrides.
    + Drop now unused variables.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 22:23:24 +0200

celery (4.4.2-1) unstable; urgency=medium

  * Team upload

  [ Michael Fladischer ]
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Refresh patches.

  [ Stefano Rivera ]
  * Set -e in autopkgtests, so all failures are caught.
  * Build-Depend on python3-boto3, python3-msgpack, python3-pymongo,
    python3-yaml for tests.
  * Patch:
    - Don't require pre-commit, it isn't in Debian.
    - Neither is moto.

  [ Håvard Flaget Aasen ]
  * New upstream version 4.4.2
    - Changes in this release closes: #952217
  * Update Standards-Version to 4.5.0
  * Update versions for build-dependencies. closes: #913047
  * Remove override_dh_installchangelogs, unneeded
  * Rebase patches
  * Remove patches
    - 0005-Disable-pytest-3.3-log-capturing-to-avoid-changing-l.patch
    - 0007-py37-skip-tests.diff
  * Add patch
    - 0011-disable-test-for-python3.8.patch
  * Remove d/upstream/signing-key.asc and d/source/include-binaries
  * Disable test from d/tests/upstream

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 25 Mar 2020 15:20:47 +0100

=== debian/control ===
Source: celery
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 docbook-to-man,
 dvipng,
 locales,
 python3-all,
 python3-billiard (>= 3.6.3.0),
 python3-boto3,
 python3-case,
 python3-dateutil,
 python3-doc,
 python3-eventlet,
 python3-kombu (>= 4.6.8),
 python3-memcache,
 python3-msgpack,
 python3-mock,
 python3-nose,
 python3-openssl,
 python3-pymongo,
 python3-pyparsing,
 python3-pytest,
 python3-redis,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinx-celery (>= 2.0.0),
 python3-sqlalchemy,
 python3-tz,
 python3-vine,
 python3-yaml,
 texlive-latex-base,
 texlive-latex-extra,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/celery
Vcs-Git: https://salsa.debian.org/python-team/modules/celery.git
Homepage: http://www.celeryproject.org/

Package: python-celery-common
Architecture: all
Depends:
 python3-celery (= ${binary:Version}),
 ${misc:Depends},
Description: async task/job queue based on message passing (common files)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the common files of the library.

Package: python-celery-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: async task/job queue based on message passing (Documentation)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the documentation.

Package: python3-celery
Architecture: all
Depends:
 python3-billiard (>= 3.3.0.23),
 python3-dateutil,
 python3-ephem,
 python3-kombu (>= 4.2.0),
 python3-memcache,
 python3-pkg-resources,
 python3-pyparsing,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-celery-doc,
 python3-redis,
 python3-sqlalchemy,
Description: async task/job queue based on message passing (Python3 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=celery

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	docbook-to-man debian/manpage.celery.sgml > celery.1
	dh_installman

override_dh_auto_test:
	PYTHONPATH=. LC_ALL=C.UTF-8 \
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test -a '-k-test_sphinx'"

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-celery/usr/bin

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-celery-doc/usr/share/doc/python-celery-doc/html
	dh_sphinxdoc
endif

## celery 4.4.6

=== debian/changelog ===
celery (4.4.6-1) unstable; urgency=low

  * New upstream release (Closes: #963662).
  * Drop upstream patch 21366ffe04aeb69ea08dc5c48c3b3155eeb443b5.patch.
  * Refresh patches.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.
  * Add python3-future (>=0.18.0) to Build-Depends, required by tests.
  * Skip randomly failing test_worker tests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 12 Aug 2020 20:08:45 +0200

celery (4.4.2-5) unstable; urgency=medium

  * Team upload.
  * Add missing Break+Replaces I forgot while doing the move.  Closes: #960506

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 19 May 2020 11:30:49 +0200

celery (4.4.2-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 May 2020 15:04:57 +0200

celery (4.4.2-3) experimental; urgency=medium

  * Team upload.
  * Move the "celery" script to a new "celery" binary package and turn
    python-celery-common into an empty transitional package.
  * d/control: Mark python-celery-doc as Multi-Arch:foreign.
  * Claim some copyright over debian/*.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 22:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,11 @@
  python3-dateutil,
  python3-doc,
  python3-eventlet,
+ python3-future (>=0.18.0),
  python3-kombu (>= 4.6.8),
  python3-memcache,
+ python3-mock,
  python3-msgpack,
- python3-mock,
  python3-nose,
  python3-openssl,
  python3-pymongo,
@@ -43,11 +44,16 @@
 Vcs-Git: https://salsa.debian.org/python-team/modules/celery.git
 Homepage: http://www.celeryproject.org/
 
-Package: python-celery-common
+Package: celery
 Architecture: all
+Section: net
 Depends:
  python3-celery (= ${binary:Version}),
  ${misc:Depends},
+Breaks:
+ python-celery-common (<< 4.4.2-3),
+Replaces:
+ python-celery-common (<< 4.4.2-3),
 Description: async task/job queue based on message passing (common files)
  Celery is an open source asynchronous task queue/job queue based on
  distributed message passing. It is focused on real-time operation,
@@ -68,8 +74,23 @@
  .
  This package contains the common files of the library.
 
+Package: python-celery-common
+Architecture: all
+Section: oldlibs
+Depends:
+ celery (>= ${binary:Version}),
+ ${misc:Depends},
+Description: async task/job queue - transitional dummy package
+ Celery is an open source asynchronous task queue/job queue based on
+ distributed message passing. It is focused on real-time operation,
+ but supports scheduling as well.
+ .
+ This is an empty transitional package to the "celery" package.
+ Once installed it can be safely removed.
+
 Package: python-celery-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-jquery,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 	PYTHONPATH=. LC_ALL=C.UTF-8 \
-	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test -a '-k-test_sphinx'"
+	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test -a '-k-test_sphinx -k-test_worker'"
 
 execute_after_dh_auto_install:
 	rm -rf $(CURDIR)/debian/python3-celery/usr/bin

## celery 5.0.0

=== examples/django/requirements.txt ===
django>=2.0.0
sqlalchemy>=1.0.14
celery>=4.3.0

=== debian/changelog ===
celery (5.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/tests/upstream: Use celery pytest plugin for autopkgtest too.
    (Closes: #972926)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 03 Nov 2020 13:08:49 +1300

celery (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Tighten dependency on python-kombu (>= 5.0)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Oct 2020 13:45:54 -0300

celery (5.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antonio Terceiro ]
  * New upstream version 5.0.0

  [ Thomas Goirand ]
  * Add a new (build-)dependencies on:
    - python3-click-repl
    - python3-click-didyoumean
  * Min version for python3-vine is now 5.0.
  * Add build-depends:
    - python3-pytest-timeout
  * Add 0010-allow-any-version-of-pytest-timeout.patch.
  * Add 0011-remove-pytest-celery-from-test-depends.patch.
  * Add 0012-allow-any-pytest-version.patch.
  * Add a debian/salsa-ci.yml.

  [ Nicolas Dandrimont ]
  * Use celery pytest plugin for tests
  * Patch MongoDB backend test for the Debian version of pymongo.
  * Add build-dependency on python3-sphinx-click.

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 17 Oct 2020 01:31:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: celery
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
@@ -15,11 +15,13 @@
  python3-billiard (>= 3.6.3.0),
  python3-boto3,
  python3-case,
+ python3-click-didyoumean,
+ python3-click-repl,
  python3-dateutil,
  python3-doc,
  python3-eventlet,
  python3-future (>=0.18.0),
- python3-kombu (>= 4.6.8),
+ python3-kombu (>= 5.0),
  python3-memcache,
  python3-mock,
  python3-msgpack,
@@ -28,20 +30,22 @@
  python3-pymongo,
  python3-pyparsing,
  python3-pytest,
+ python3-pytest-timeout,
  python3-redis,
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
  python3-sphinx-celery (>= 2.0.0),
+ python3-sphinx-click,
  python3-sqlalchemy,
  python3-tz,
- python3-vine,
+ python3-vine (>= 5.0),
  python3-yaml,
  texlive-latex-base,
  texlive-latex-extra,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/modules/celery
-Vcs-Git: https://salsa.debian.org/python-team/modules/celery.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/celery
+Vcs-Git: https://salsa.debian.org/python-team/packages/celery.git
 Homepage: http://www.celeryproject.org/
 
 Package: celery
@@ -120,13 +124,16 @@
 Architecture: all
 Depends:
  python3-billiard (>= 3.3.0.23),
+ python3-click-didyoumean,
+ python3-click-repl,
  python3-dateutil,
  python3-ephem,
- python3-kombu (>= 4.2.0),
+ python3-kombu (>= 5.0),
  python3-memcache,
  python3-pkg-resources,
  python3-pyparsing,
  python3-tz,
+ python3-vine (>= 5.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 	PYTHONPATH=. LC_ALL=C.UTF-8 \
-	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test -a '-k-test_sphinx -k-test_worker'"
+	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test -a '-k-test_sphinx -k-test_worker -p celery.contrib.pytest'"
 
 execute_after_dh_auto_install:
 	rm -rf $(CURDIR)/debian/python3-celery/usr/bin

=== debian/tests/control ===
Tests: upstream
Depends:
 @,
 @builddeps@,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/celery/celery-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## celery 5.2.1

=== debian/changelog ===
celery (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh and renumber patches.
  * Add python3-click-plugins to Build-Depends, required by tests.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Add python3-flaky and python3-pytest-subtests to Build-Depends.
  * Fix missing and changed paths in doc-base registration.
  * Install testfiles using d/pybuild.testfiles.
  * Configure tests using pybuild environment variables instead of
    debhelper override.
  * Update year in d/copyright.
  * Depend on python3-all for autopkgtests.
  * Add d/upstream/metadata.
  * Skip broken tests in autopkgtest.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Nov 2021 10:48:23 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=celery
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test.db {build_dir}/14
export PYBUILD_TEST_ARGS= --ignore=t/unit/backends/test_base.py --ignore=t/unit/backends/test_rpc.py --ignore=t/unit/contrib/test_pytest.py --ignore=t/unit/concurrency/test_eventlet.py --ignore=t/unit/concurrency/test_prefork.py -k "not test_check_privileges[accept_content0] and not test_check_privileges[accept_content1] and not test_check_privileges[accept_content2] and not test_regression_worker_startup_info and not test_with_guid and not test_only_gid" t/unit
export PYTEST_PLUGINS=celery.contrib.pytest


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	docbook-to-man debian/manpage.celery.sgml > celery.1
	dh_installman

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-celery/usr/bin

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-celery-doc/usr/share/doc/python-celery-doc/html
	dh_sphinxdoc
endif

## celery 5.2.2

=== debian/changelog ===
celery (5.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 27 Dec 2021 22:25:50 +0000

## celery 5.2.3

=== examples/django/requirements.txt ===
django>=2.2.1
sqlalchemy>=1.0.14
celery>=5.0.5

=== debian/changelog ===
celery (5.2.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches, drop 0012-Update-test-for-the-Debian-version-of-
    pymongo.patch.
  * Disable failing mongodb test.

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Dec 2021 18:36:11 +0000

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
  python3-boto3,
  python3-case,
  python3-click-didyoumean,
+ python3-click-plugins,
  python3-click-repl,
  python3-dateutil,
  python3-doc,
  python3-eventlet,
+ python3-flaky,
  python3-future (>=0.18.0),
  python3-kombu (>= 5.0),
  python3-memcache,
@@ -30,6 +32,7 @@
  python3-pymongo,
  python3-pyparsing,
  python3-pytest,
+ python3-pytest-subtests,
  python3-pytest-timeout,
  python3-redis,
  python3-setuptools,
@@ -42,7 +45,7 @@
  python3-yaml,
  texlive-latex-base,
  texlive-latex-extra,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/celery
 Vcs-Git: https://salsa.debian.org/python-team/packages/celery.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=celery
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test.db {build_dir}/14
export PYBUILD_TEST_ARGS= --ignore=t/unit/backends/test_base.py --ignore=t/unit/backends/test_rpc.py --ignore=t/unit/contrib/test_pytest.py --ignore=t/unit/concurrency/test_eventlet.py --ignore=t/unit/concurrency/test_prefork.py -k "not test_check_privileges[accept_content0] and not test_check_privileges[accept_content1] and not test_check_privileges[accept_content2] and not test_regression_worker_startup_info and not test_with_guid and not test_only_gid and not test_init_mongodb_dnspython2_pymongo3_seedlist" t/unit
export PYTEST_PLUGINS=celery.contrib.pytest


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	docbook-to-man debian/manpage.celery.sgml > celery.1
	dh_installman

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-celery/usr/bin

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-celery-doc/usr/share/doc/python-celery-doc/html
	dh_sphinxdoc
endif

## celery 5.2.6

=== debian/changelog ===
celery (5.2.6-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add upstream patch to fix FTBFS with python3.11.
    (closes: #1028148)

  [ Paul Wise ]
  * debian/copyright: replace Unicode linebreaks with regular linebreaks.
  * Declare compliance with Debian Policy 4.6.2, no changes needed.
  * Drop python3-nose from build-deps, already switched to pytest
    (Closes: #1018326)
  * Correct package names listed in celery wrapper script.
  * Update broken link to daemonization docs
  * Add more upstream metadata
  * Update the homepage

 -- Paul Wise <pabs@debian.org>  Sun, 22 Jan 2023 10:48:50 +0800

celery (5.2.6-4) unstable; urgency=medium

  * Actually bump billiard dependencies to 4.0.2

 -- Paul Wise <pabs@debian.org>  Mon, 14 Nov 2022 08:43:00 +0800

celery (5.2.6-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix compatibility with billiard 4.0.2 (Closes: #1020137)

 -- Paul Wise <pabs@debian.org>  Sun, 13 Nov 2022 14:08:28 +0800

celery (5.2.6-2) unstable; urgency=medium

  * Add upstream patch to fix compatibility with billiard 4 (Closes:
    #1015028).
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Jul 2022 18:57:53 +0000

celery (5.2.6-1) unstable; urgency=low

  * New upstream release.
  * Set github project as new homepage (Closes: #975386).
  * Clean up celery.egg-info/entry_points.txt to allow two builds in a
    row.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Apr 2022 22:13:40 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dvipng,
  locales,
  python3-all,
- python3-billiard (>= 3.6.3.0),
+ python3-billiard (>= 4.0.2),
  python3-boto3,
  python3-case,
  python3-click-didyoumean,
@@ -27,7 +27,6 @@
  python3-memcache,
  python3-mock,
  python3-msgpack,
- python3-nose,
  python3-openssl,
  python3-pymongo,
  python3-pyparsing,
@@ -45,11 +44,11 @@
  python3-yaml,
  texlive-latex-base,
  texlive-latex-extra,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/celery
 Vcs-Git: https://salsa.debian.org/python-team/packages/celery.git
-Homepage: http://www.celeryproject.org/
+Homepage: https://docs.celeryq.dev/
 
 Package: celery
 Architecture: all
@@ -126,7 +125,7 @@
 Package: python3-celery
 Architecture: all
 Depends:
- python3-billiard (>= 3.3.0.23),
+ python3-billiard (>= 4.0.2),
  python3-click-didyoumean,
  python3-click-repl,
  python3-dateutil,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/celery/celery-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## celery 5.3.0

=== debian/changelog ===
celery (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Add python3-pytest-click to Build-Depends, required by tests.
  * Update copyright information (add Expat licence, drop PSF-2 license).
  * Refresh patches and drop upstreamed ones.
  * Remove artifacts after build-time tests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jun 2023 19:17:23 +0000

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  python3-pymongo,
  python3-pyparsing,
  python3-pytest,
+ python3-pytest-click,
  python3-pytest-subtests,
  python3-pytest-timeout,
  python3-redis,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=celery
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test.db {build_dir}/14
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test.db {build_dir}/15 {build_dir}/statefilename.db
 export PYBUILD_TEST_ARGS= --ignore=t/unit/backends/test_base.py --ignore=t/unit/backends/test_rpc.py --ignore=t/unit/contrib/test_pytest.py --ignore=t/unit/concurrency/test_eventlet.py --ignore=t/unit/concurrency/test_prefork.py -k "not test_check_privileges[accept_content0] and not test_check_privileges[accept_content1] and not test_check_privileges[accept_content2] and not test_regression_worker_startup_info and not test_with_guid and not test_only_gid and not test_init_mongodb_dnspython2_pymongo3_seedlist" t/unit
 export PYTEST_PLUGINS=celery.contrib.pytest

## celery 5.3.1

=== debian/changelog ===
celery (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jun 2023 08:48:47 +0000

## celery 5.3.4

=== Makefile ===
PROJ=celery
PGPIDENT="Celery Security Team"
PYTHON=python
PYTEST=pytest
GIT=git
TOX=tox
ICONV=iconv
FLAKE8=flake8
PYROMA=pyroma
FLAKEPLUS=flakeplus
SPHINX2RST=sphinx2rst
RST2HTML=rst2html.py
DEVNULL=/dev/null

TESTDIR=t

SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation
FLAKEPLUSTARGET=2.7

WORKER_GRAPH="docs/images/worker_graph_full.png"

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "      flakepluscheck - Run flakeplus on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncommitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."
	@echo "bump                 - Bump patch version number."
	@echo "bump-minor           - Bump minor version number."
	@echo "bump-major           - Bump major version number."
	@echo "release              - Make PyPI release."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

bump:
	bumpversion patch

bump-minor:
	bumpversion minor

bump-major:
	bumpversion major

release:
	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"

Documentation:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)
	mv "$(SPHINX_HTMLDIR)" $(DOCUMENTATION)

docs: clean-docs Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)" "$(DOCUMENTATION)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) configcheck)

flakecheck:
	$(FLAKE8) "$(PROJ)" "$(TESTDIR)"

flakediag:
	-$(MAKE) flakecheck

flakepluscheck:
	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)" "$(TESTDIR)"

flakeplusdiag:
	-$(MAKE) flakepluscheck

flakes: flakediag flakeplusdiag

clean-readme:
	-rm -f $(README)

readmecheck-unicode:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

readmecheck-rst:
	-$(RST2HTML) $(README) >$(DEVNULL)

readmecheck: readmecheck-unicode readmecheck-rst

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs -r rm
	-find . -type d -name "__pycache__" | xargs -r rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov:
	$(PYTEST) -x --cov="$(PROJ)" --cov-report=html

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build


$(WORKER_GRAPH):
	$(PYTHON) -m celery graph bootsteps | dot -Tpng -o $@

clean-graph:
	-rm -f $(WORKER_GRAPH)

graph: clean-graph $(WORKER_GRAPH)

authorcheck:
	git shortlog -se | cut -f2 | extra/release/attribution.py

=== debian/changelog ===
celery (5.3.4-2) unstable; urgency=medium

  * Add patch to satisfy assinine sphinx 7.x parsing logic for copyright year
    substitution (Closes: #1042639).

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Oct 2023 08:28:14 +0000

celery (5.3.4-1) unstable; urgency=medium

  * Use github.com in d/watch.
  * New upstream version 5.3.4
  * Refresh patches.
  * Add patch to remove dependency on tzdata.
  * Add pyproject.toml as a file to be copied before running tests.
  * Build more detailed manpages using click-man, including subcommands.
  * Build using pybuild-plugin-pyproject.
  * Add tzdata-legacy to Build-Depends, required by tests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 05 Sep 2023 20:02:19 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- docbook-to-man,
  dvipng,
  locales,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-billiard (>= 4.0.2),
  python3-boto3,
  python3-case,
  python3-click-didyoumean,
+ python3-click-man,
  python3-click-plugins,
  python3-click-repl,
  python3-dateutil,
@@ -45,6 +46,7 @@
  python3-yaml,
  texlive-latex-base,
  texlive-latex-extra,
+ tzdata-legacy,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/celery

## celery 5.3.6

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,12 @@
 	@echo "bump-minor           - Bump minor version number."
 	@echo "bump-major           - Bump major version number."
 	@echo "release              - Make PyPI release."
+	@echo ""
+	@echo "Docker-specific commands:"
+	@echo "  docker-build			- Build celery docker container."
+	@echo "  docker-lint        		- Run tox -e lint on docker container."
+	@echo "  docker-unit-tests		- Run unit tests on docker container, use '-- -k <TEST NAME>' for specific test run."
+	@echo "  docker-bash        		- Get a bash shell inside the container."
 
 clean: clean-docs clean-pyc clean-build
 
@@ -167,3 +173,30 @@
 
 authorcheck:
 	git shortlog -se | cut -f2 | extra/release/attribution.py
+
+.PHONY: docker-build
+docker-build:
+	@docker-compose -f docker/docker-compose.yml build
+
+.PHONY: docker-lint
+docker-lint:
+	@docker-compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery tox -e lint
+
+.PHONY: docker-unit-tests
+docker-unit-tests:
+	@docker-compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery tox -e 3.12-unit -- $(filter-out $@,$(MAKECMDGOALS))
+
+# Integration tests are not fully supported when running in a docker container yet so we allow them to
+# gracefully fail until fully supported.
+# TODO: Add documentation (in help command) when fully supported.
+.PHONY: docker-integration-tests
+docker-integration-tests:
+	@docker-compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery tox -e 3.12-integration-docker -- --maxfail=1000
+
+.PHONY: docker-bash
+docker-bash:
+	@docker-compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery bash
+
+.PHONY: catch-all
+%: catch-all
+	@:

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SOURCEDIR     = .
APP 		  = /docs

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  livehtml   to start a local server hosting the docs"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  apicheck   to verify that all modules are present in autodoc"
	@echo "  configcheck to verify that all modules are present in autodoc"
	@echo "  spelling   to perform a spell check"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PROJ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PROJ.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PROJ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PROJ"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: apicheck
apicheck:
	$(SPHINXBUILD) -b apicheck $(ALLSPHINXOPTS) $(BUILDDIR)/apicheck

.PHONY: configcheck
configcheck:
	$(SPHINXBUILD) -b configcheck $(ALLSPHINXOPTS) $(BUILDDIR)/configcheck

.PHONY: spelling
spelling:
	SPELLCHECK=1 $(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: livehtml
livehtml:
	sphinx-autobuild -b html --host 0.0.0.0 --port 7000 --watch $(APP) -c . $(SOURCEDIR) $(BUILDDIR)/html

=== debian/changelog ===
celery (5.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Remove useless and deprecated build-deps on python3-future and python3-mock.
  * New upstream release (closes: #1058317).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Feb 2024 16:59:54 +0000

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,8 @@
  python3-doc,
  python3-eventlet,
  python3-flaky,
- python3-future (>=0.18.0),
  python3-kombu (>= 5.0),
  python3-memcache,
- python3-mock,
  python3-msgpack,
  python3-openssl,
  python3-pymongo,

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_installman:
-	docbook-to-man debian/manpage.celery.sgml > celery.1
-	dh_installman
+execute_before_dh_installman:
+	PYTHONPATH=$(CURDIR) python3 -c "from click_man.core import write_man_pages; from celery.bin.celery import celery; from celery import __version__; write_man_pages('celery', celery, version=__version__, target_dir='$(CURDIR)')"
+
 
 execute_after_dh_auto_install:
 	rm -rf $(CURDIR)/debian/python3-celery/usr/bin

## celery 5.4.0

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 	@echo "  docker-lint        		- Run tox -e lint on docker container."
 	@echo "  docker-unit-tests		- Run unit tests on docker container, use '-- -k <TEST NAME>' for specific test run."
 	@echo "  docker-bash        		- Get a bash shell inside the container."
+	@echo "  docker-docs			- Build documentation with docker."
 
 clean: clean-docs clean-pyc clean-build
 
@@ -197,6 +198,16 @@
 docker-bash:
 	@docker-compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery bash
 
+.PHONY: docker-docs
+docker-docs:
+	@docker-compose -f docker/docker-compose.yml up --build -d docs
+	@echo "Waiting 60 seconds for docs service to build the documentation inside the container..."
+	@timeout 60 sh -c 'until docker logs $$(docker-compose -f docker/docker-compose.yml ps -q docs) 2>&1 | \
+		grep "build succeeded"; do sleep 1; done' || \
+		(echo "Error! - run manually: docker compose -f ./docker/docker-compose.yml up --build docs"; \
+	docker-compose -f docker/docker-compose.yml logs --tail=50 docs; false)
+	@docker-compose -f docker/docker-compose.yml down
+
 .PHONY: catch-all
 %: catch-all
 	@:

=== debian/changelog ===
celery (5.4.0-2.1) unstable; urgency=medium

  * Team upload.
  * python3-moto is now available, depends on it & enable more tests

 -- Alexandre Detiste <tchet@debian.org>  Sun, 13 Oct 2024 17:45:09 +0200

celery (5.4.0-2) unstable; urgency=medium

  * Team upload.
  * Simplify /usr/bin/celery wrapper arrangements and drop dependency on
    python3-pkg-resources (closes: #1083331).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Oct 2024 17:03:26 +0100

celery (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-case

  [ Jérémy Lal ]
  * New upstream version 5.4.0
  * Refresh patches
  * Ignore gcs backend (missing in debian)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 12:18:17 +0200

celery (5.3.6-2) unstable; urgency=medium

  * Team upload.
  * Testsuite: autopkgtest-pkg-pybuild

 -- Jérémy Lal <kapouer@melix.org>  Fri, 08 Mar 2024 16:19:43 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-all,
  python3-billiard (>= 4.0.2),
  python3-boto3,
- python3-case,
  python3-click-didyoumean,
  python3-click-man,
  python3-click-plugins,
@@ -25,6 +24,7 @@
  python3-flaky,
  python3-kombu (>= 5.0),
  python3-memcache,
+ python3-moto <!nocheck>,
  python3-msgpack,
  python3-openssl,
  python3-pymongo,
@@ -50,6 +50,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/celery
 Vcs-Git: https://salsa.debian.org/python-team/packages/celery.git
 Homepage: https://docs.celeryq.dev/
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: celery
 Architecture: all
@@ -133,7 +134,6 @@
  python3-ephem,
  python3-kombu (>= 5.0),
  python3-memcache,
- python3-pkg-resources,
  python3-pyparsing,
  python3-tz,
  python3-vine (>= 5.0),

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=celery
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test.db {build_dir}/15 {build_dir}/statefilename.db
export PYBUILD_TEST_ARGS= --ignore=t/unit/backends/test_base.py --ignore=t/unit/backends/test_gcs.py --ignore=t/unit/backends/test_rpc.py --ignore=t/unit/contrib/test_pytest.py --ignore=t/unit/concurrency/test_eventlet.py --ignore=t/unit/concurrency/test_prefork.py -k "not test_check_privileges[accept_content0] and not test_check_privileges[accept_content1] and not test_check_privileges[accept_content2] and not test_regression_worker_startup_info and not test_with_guid and not test_only_gid and not test_init_mongodb_dnspython2_pymongo3_seedlist" t/unit
export PYTEST_PLUGINS=celery.contrib.pytest


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_installman:
	PYTHONPATH=$(CURDIR) python3 -c "from click_man.core import write_man_pages; from celery.bin.celery import celery; from celery import __version__; write_man_pages('celery', celery, version=__version__, target_dir='$(CURDIR)')"

execute_after_dh_auto_install:
	mv debian/python3-celery/usr/bin/celery debian/celery/usr/bin
	rmdir -p --ignore-fail-on-non-empty debian/python3-celery/usr/bin

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-celery-doc/usr/share/doc/python-celery-doc/html
	dh_sphinxdoc
endif

## celery 5.5.1

=== debian/changelog ===
celery (5.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 17:58:30 +0100

celery (5.4.0-5) unstable; urgency=medium

  * Team upload.
  * Fix tests with Click 8.2 (closes: #1098539).

 -- Colin Watson <cjwatson@debian.org>  Sat, 01 Mar 2025 20:58:45 +0000

celery (5.4.0-4) unstable; urgency=medium

  * Team upload.
  * Add python3:any dependency to celery.
  * Drop python-celery-common binary package (closes: #1038295).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 22:31:04 +0000

celery (5.4.0-3) unstable; urgency=medium

  * Team upload.
  * Adjust PYBUILD_AFTER_TEST to handle addition of dbm.sqlite3 in Python
    3.13 (thanks, s3v; closes: #1089102).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Dec 2024 01:02:30 +0000

## celery 5.5.2

=== debian/changelog ===
celery (5.5.2-2) unstable; urgency=medium

  * Team upload.
  * Fix typos in patch names.
  * Make wheel metadata reproducible.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 13:23:03 +0100

celery (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 11:22:54 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  locales,
  pybuild-plugin-pyproject,
  python3-all,
- python3-billiard (>= 4.0.2),
+ python3-azure <!nocheck>,
+ python3-billiard (>= 4.2.1),
  python3-boto3,
  python3-click-didyoumean,
  python3-click-man,
@@ -22,18 +23,19 @@
  python3-doc,
  python3-eventlet,
  python3-flaky,
- python3-kombu (>= 5.0),
+ python3-kombu (>= 5.5.2),
  python3-memcache,
  python3-moto <!nocheck>,
  python3-msgpack,
  python3-openssl,
+ python3-pydantic <!nocheck>,
  python3-pymongo,
  python3-pyparsing,
  python3-pytest,
  python3-pytest-click,
  python3-pytest-subtests,
  python3-pytest-timeout,
- python3-redis,
+ python3-redis (>= 4.5.2),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
  python3-sphinx-celery (>= 2.0.0),
@@ -58,6 +60,7 @@
 Depends:
  python3-celery (= ${binary:Version}),
  ${misc:Depends},
+ ${python3:Depends},
 Breaks:
  python-celery-common (<< 4.4.2-3),
 Replaces:
@@ -81,20 +84,6 @@
  python-django-celery package.
  .
  This package contains the common files of the library.
-
-Package: python-celery-common
-Architecture: all
-Section: oldlibs
-Depends:
- celery (>= ${binary:Version}),
- ${misc:Depends},
-Description: async task/job queue - transitional dummy package
- Celery is an open source asynchronous task queue/job queue based on
- distributed message passing. It is focused on real-time operation,
- but supports scheduling as well.
- .
- This is an empty transitional package to the "celery" package.
- Once installed it can be safely removed.
 
 Package: python-celery-doc
 Architecture: all
